import { drizzle } from 'drizzle-orm/node-postgres';
import { env } from '$env/dynamic/private';
import * as brackets from './schema/brackets';
import * as breakperiods from './schema/breakperiods';
import * as competitions from './schema/competitions';
import * as fields from './schema/fields';
import * as matches from './schema/matches';
import * as permissions from './schema/permissions';
import * as roles from './schema/roles';
import * as rounds from './schema/rounds';
import * as sessions from './schema/sessions';
import * as teams from './schema/teams';
import * as users from './schema/users';
import { Pool } from 'pg';

const pool = new Pool({
	connectionString: env.DATABASE_URL!
});

export const schema = {
	...brackets,
	...breakperiods,
	...competitions,
	...fields,
	...matches,
	...permissions,
	...roles,
	...rounds,
	...sessions,
	...teams,
	...users
};

export const db = drizzle({ client: pool, schema: schema });
