import * as t from 'drizzle-orm/pg-core';
import { timestamps } from '../util';
import { relations } from 'drizzle-orm';
import { competitions } from './competitions';

export const teams = t.pgTable('teams', {
	id: t.uuid('id').primaryKey().defaultRandom(),
	name: t.text('name').notNull(),
	competition_id: t.uuid('competition_id').notNull(),
	...timestamps
});

export const teamsRelations = relations(teams, ({ one }) => ({
	competition: one(competitions, {
		fields: [teams.competition_id],
		references: [competitions.id],
		relationName: 'teamCompetition'
	})
}));

export type Team = typeof teams.$inferSelect;
