export interface BreadcrumbItem {
	title: string;
	href: string;
}

export type BreadcrumbItemType = BreadcrumbItem;

export interface NavItem {
	title: string;
	href: string;
	icon?: any;
	isActive?: boolean;
	requireAdmin?: boolean;
}

export enum SchedulingMode {
	single = 'single',
	double = 'double',
	swiss = 'swiss',
	round_robin = 'round_robin',
	double_round_robin = 'double_round_robin'
}

export enum BracketType {
	WINNER = 'WINNER',
	LOSER = 'LOSER',
	CONSOLATION = 'CONSOLATION',
	MAIN = 'MAIN'
}

export enum MatchStatus {
	PENDING = 'pending',
	RUNNING = 'running',
	FINISHED = 'finished',
	CANCELLED = 'cancelled'
}

export function enumToPgEnum<T extends Record<string, any>>(
	myEnum: T
): [T[keyof T], ...T[keyof T][]] {
	return Object.values(myEnum).map((value: any) => `${value}`) as any;
}
